### Method

# Aravis Camera get_trigger_source

since: 0.8.0

#### Declaration [src]

    const char*
    arv_camera_get_trigger_source (
      ArvCamera* camera
      GError** error
    )

#### Description [src]

Gets the trigger source. This function doesn’t check if the camera is configured to actually use this source as a trigger.

Available since: 0.8.0

#### Return value

Type: `const char*`

A string containing the trigger source name, NULL on error.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.